package com.lightinit.hsdataportal.mapper;

import com.lightinit.hsdataportal.entity.Activity;
import com.lightinit.hsdataportal.entity.ActivityExample;
import com.lightinit.hsdataportal.entity.ActivityWithBLOBs;
import java.util.List;

import com.lightinit.hsdataportal.model.ActivitySearchModel;
import org.apache.ibatis.annotations.Param;

public interface ActivityMapper {
    long countByExample(ActivityExample example);

    int deleteByExample(ActivityExample example);

    int deleteByPrimaryKey(Long id);

    int insert(ActivityWithBLOBs record);

    int insertSelective(ActivityWithBLOBs record);

    List<ActivityWithBLOBs> selectByExampleWithBLOBs(ActivityExample example);

    List<Activity> selectByExample(ActivityExample example);

    ActivityWithBLOBs selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") ActivityWithBLOBs record, @Param("example") ActivityExample example);

    int updateByExampleWithBLOBs(@Param("record") ActivityWithBLOBs record, @Param("example") ActivityExample example);

    int updateByExample(@Param("record") Activity record, @Param("example") ActivityExample example);

    int updateByPrimaryKeySelective(ActivityWithBLOBs record);

    int updateByPrimaryKeyWithBLOBs(ActivityWithBLOBs record);

    int updateByPrimaryKey(Activity record);

    List<ActivityWithBLOBs> getList(ActivitySearchModel activitySearchModel);

    long getCount(ActivitySearchModel activitySearchModel);
}